/*
 * NewsBlob - Live RSS news reader.
 * Copyright 2009 Lars Torger Høye.
 *
 * This file is part of NewsBlob.
 *
 * NewsBlob is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * NewsBlob is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with NewsBlob.  If not, see <http://www.gnu.org/licenses/>.
 */

package newsblob.blob;

import java.awt.Desktop;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.net.URI;
import java.net.URISyntaxException;

/**
 *
 * @author Lars Torger Høye
 */
public class LinkListener implements ActionListener {

    private URI m_link;

    public LinkListener(String link) {
        try {
            link = link.replaceAll("\\x20", "%20");
            link = link.replaceAll("\\x5B", "%5B");
            link = link.replaceAll("\\x5D", "%5D");
            m_link = new URI(link);
        } catch (URISyntaxException ex) {}
    }

    public void actionPerformed(ActionEvent e) {
        Desktop desktop = Desktop.getDesktop();
        try {
            desktop.browse(m_link);
        } catch (Exception ex) {}
    }
}
