/*
 * NewsBlob - Live RSS news reader.
 * Copyright 2009 Lars Torger Høye.
 *
 * This file is part of NewsBlob.
 *
 * NewsBlob is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * NewsBlob is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with NewsBlob.  If not, see <http://www.gnu.org/licenses/>.
 */

package newsblob.feed;

import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import javax.swing.JOptionPane;
import newsblob.NewsBlob;

/**
 *
 * @author Lars Torger Høye
 */
public class RemoveNewsfeedListener implements ActionListener {

    private Newsfeed m_newsfeed;

    public RemoveNewsfeedListener(Newsfeed newsfeed) {
        m_newsfeed = newsfeed;
    }

    public void actionPerformed(ActionEvent e) {
        int option = JOptionPane.showConfirmDialog(null, "Are you sure you want to remove the '"+m_newsfeed.getTitle()+"' newsfeed.", "Remove Newsfeed. - "+NewsBlob.TITLE, JOptionPane.OK_CANCEL_OPTION, JOptionPane.WARNING_MESSAGE);
        if(option == JOptionPane.OK_OPTION) {
            try {
                NewsBlob.getInstance().remove(m_newsfeed);
            } catch (Exception ex) {
                JOptionPane.showMessageDialog(null, "Unable to remove newsfeed: '"+m_newsfeed.getTitle()+"'", "Error", JOptionPane.ERROR_MESSAGE);
            }
        }
    }
}
