/*
 * NewsBlob - Live RSS news reader.
 * Copyright 2009 Lars Torger Høye.
 *
 * This file is part of NewsBlob.
 *
 * NewsBlob is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * NewsBlob is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with NewsBlob.  If not, see <http://www.gnu.org/licenses/>.
 */

package newsblob.feed.article;

/**
 *
 * @author Lars Torger Høye
 */
public class Article {

    private final String m_title;
    private final String m_description;
    private final String m_filteredDescription;
    private final String m_link;

    public Article(String title, String description, String link) {
        m_title = title;
        m_description = description;
        m_link = link;

        //Filter out html in description.
        int index;
        if((index = description.indexOf("<")) == -1)
            m_filteredDescription = description;
        else
            m_filteredDescription = description.substring(0, index);
    }

    public String getDescription() {
        return m_description;
    }

    public String getFilteredDescription() {
        return m_filteredDescription;
    }

    public String getLink() {
        return m_link;
    }

    public String getTitle() {
        return m_title;
    }

    public boolean equals(Article article) {
        return m_link.equals(article.getLink());
    }

}
